SolydXK 9 (stretch) alpha build testing

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 16 Feb 2017 20:47

I've uploaded updated ISOs: http://downloads.solydxk.com/dev/stretch/

These ISOs are alpha builds based on Debian stretch.

These ISOs are under development and not ready for production. Some of the SolydXK packages are still in testing but when they're stable enough I'll move them to the main repository later this week. So, check them out in a VM and let me know what you think.

There are some issues that I can't seem to solve myself and this is where I need your help.
I'll regularly update this post with unsolved issues.

Theming
Most theming issues were solved but there are still some left.

  • [Fix: workaround]
    You need to copy the gtk configuration to /root:

    Code: Select all

    sudo cp -v .gtkrc-2.0 /root/
    sudo cp -v .config/gtk-3.0/settings.ini /root/.config/gtk-3.0/

    This should be handled by kdesudo, but it doesn't.

    Description
    Gtk widgets stay grey even though I selected Breeze-Dark for Gtk2 and Gtk3 in SolydK EE.
    You can see that it looks good in SolydX 9. However, in SolydK 9 the Breeze-Dark theme doesn't change the Gtk applications.
    [Edit]
    This only seems to happen with applications that need root permissions (Synaptic, DDM, USB Creator, etc).

    SolydX 9
    solydxee_dark.png

    SolydK 9
    solydkee_dark.png

  • [Fixed]Also, changing the icon theme does not change anything for those applications. They fall back to the Gnome theme.
    This was due to the wrong icon theme name in /root/.config/gtk-3.0/settings.ini

Applications
  • [Fix:workaround]Dolphin as root looks bad: no icons: "QPixmap::scaled: Pixmap is a null pixmap". I think this is a Dolphin issue. The config files were looking good. Bug report: https://bugs.kde.org/show_bug.cgi?id=353263
  • [Fix:removed]SolydK: Updatemanager not showing in system tray. Plasma 5 has its own update widget in the system tray. So, perhaps the updatemanager is not needed anymore?
    Replaced on SolydX with: pk-update-icon/gnome-packagekit.
    Simply removed updatemanager on SolydK.


SolydXK needs you!
Development | Testing | Translations | Todo list


User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 17 Feb 2017 08:13

Code: Select all

export | grep gtk

Returns this on my main machine running regular SolydK:

Code: Select all

declare -x GTK2_RC_FILES="/etc/gtk-2.0/gtkrc:/home/arjen/.gtkrc-2.0:/home/arjen/.kde/share/config/gtkrc-2.0"
declare -x GTK_RC_FILES="/etc/gtk/gtkrc:/home/arjen/.gtkrc:/home/arjen/.kde/share/config/gtkrc"

Running the command on the ISOs returns nothing at all.
How can I check in Stretch if the configuration is loaded?

gtk3-engines-breeze is used in SolydK 9 and doesn't change the style when the dark theme is selected. The same package in SolydX 9 works perfectly. So, I know the theme works but only not in Plasma 5.


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 17 Feb 2017 13:52

I cannot seem to switch to any Gtk theme. I even used the source from Github but it simply didn't change. If nobody else has an idea I will post this issue on https://forum.kde.org


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
ilu
Posts: 1285
Joined: 09 Oct 2013 12:45

Re: SolydXK 9 (stretch) alpha build testing

Postby ilu » 17 Feb 2017 18:04

I just installed the newest SolydX 9 ISO in a VM and at a first glance it looks ok.

I just noticed a program called "Additional Drivers" which does exactly nothing (as far as I can see). People might be tempted to try this instead of DDM since it starts with "A". It seems to be designed to do the same as DDM - should this be there at all? Support is easier if people stick to DDM and don't get confused by redundant software.

Also DDM should be listed under "Settings" and under "System".

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Community ISO maintenance and build issues

Postby Schoelje » 17 Feb 2017 21:38

Thanks Ilu, I've updated the ISOs.

I also had to make a change to the live installer regarding the use of apt option differences between jessie and stretch. I hope I finally solved that one. All packages are updated in testing.

Still no progress on the Gtk issue in SolydK 9, though.


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 18 Feb 2017 13:34

I've posted the Gtk theme issue on forum.kde.org: https://forum.kde.org/viewtopic.php?f=289&t=138996
Let's hope somebody knows the answer.


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 18 Feb 2017 18:24

If nobody objects I want to move the packages in our testing repository to the main repository next Monday.

I've also synchronized the solydxk-9 repository (stretch) with the solydxk repository (jessie) but with additional virtualbox-guest packages from sid to get the EEs properly working in VB. This means that the EEs can use the following line in sources.list:

Code: Select all

deb http://repository.solydxk.com solydxk-9 main upstream import
without the need to have the current solydxk repository in the sources.list file.


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
grizzler
Posts: 1764
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: SolydXK 9 (stretch) alpha build testing

Postby grizzler » 19 Feb 2017 07:36

That's great, but EEs would actually need solydxk-ee instead of solydxk-9. ;)

However, looking at the sources.list files, I wouldn't call these ISOs EEs anyway. They're kind of "pre-stable stretch".

About the sources lists, I think they need a little work. They still have the now redundant solydxk line, including the testing component, and only the SolydK one has a security updates line. No backports in either one, but everything "stretch" and no "testing". So, what are they?

Maybe you should keep them on stretch and omit the EE from their names, but then the adjust_sources.py script would need work as well.

By the way, the SolydX ISO still has /etc/solydxk.

I haven't had time to look at the superfluous bits in the plasma 5 configuration yet. I'll be quite busy until next weekend, possibly even until after the Monday following that. When that's done I'll synchronise the 32 bit build structures and build a set of 'fully EE' ISOs.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 21 Feb 2017 22:16

grizzler wrote:That's great, but EEs would actually need solydxk-ee instead of solydxk-9. ;)

However, looking at the sources.list files, I wouldn't call these ISOs EEs anyway. They're kind of "pre-stable stretch".

About the sources lists, I think they need a little work. They still have the now redundant solydxk line, including the testing component, and only the SolydK one has a security updates line. No backports in either one, but everything "stretch" and no "testing". So, what are they?

Maybe you should keep them on stretch and omit the EE from their names, but then the adjust_sources.py script would need work as well.

By the way, the SolydX ISO still has /etc/solydxk.

I haven't had time to look at the superfluous bits in the plasma 5 configuration yet. I'll be quite busy until next weekend, possibly even until after the Monday following that. When that's done I'll synchronise the 32 bit build structures and build a set of 'fully EE' ISOs.

Sorry it took so long to answer. I was really very occupied by these new ISOs!

I followed your advise and separated my attempts to create an EE from yours and convert them into alpha stable stretch ISOs. I've also been thinking about you...yes, I did! To make things a little easier for you I've adapted the solydkee-info and solydxee-info packages. If you install one of these the system-adjustment package will adapt the /usr/share/solydxk/info file accordingly. If you remove those ee packages the info file will be converted to a regular configuration. All of these packages are still in testing and when I've tested them on our current ISOs and they are stable enough I'll move them to the main repository.


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
grizzler
Posts: 1764
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: SolydXK 9 (stretch) alpha build testing

Postby grizzler » 22 Feb 2017 10:58

I see. Interesting... I also notice you got rid of the other info packages after all. Couldn't leave that to someone else, could you? :lol:

I actually did some preliminary work on the postinst for the adjustment packages, late last week. What I came up with is close to your solution:

Code: Select all

Info='/usr/share/solydxk/info'
. $Info
[ "$CODENAME" != "testing" ] || EE=ee # 'double negative' to prevent 'false'
DT=${DESKTOP:0:1}; [ "$DT" != "L" ] || DT=LXQt # ditto

Uname=$(uname -m)
Arch=32
if [ "${Uname:0:3}" == "arm" ]; then
   ARM=arm
elif [ "$Uname" == "x86_64" ]; then
   Arch=64
fi

# rewrite the EDITION line   
sed -i 's|^EDITION.*$|EDITION=solyd'${DT,,}$ARM$EE$Arch'|' $Info
# and the DESCRIPTION line
sed -i 's|^DESCRIPTION.*$|DESCRIPTION="'"Solyd$DT${EE:+ EE} $RELEASE ${ARM:+ARM }$Arch-bit"'"|' $Info

This is based on the assumption there are no more info packages at all, so the EE status needs to be checked somewhere else. I figured the /usr/share/solydxk/info "template" in the adjustments package would do. It's built like a script, so why not simply source it? That would make several useful values available.
Currently, the CODENAME variable has solydxk for stable releases and testing for the EEs. The DESKTOP variable contains Xfce or KDE (or LXQt - remember that one?) and RELEASE has the main release number (8, 9, 10 etc).

The rpi ISO is still 32-bit only, isn't it? I know the RPi3's ARMv8 Cortex A53 is a 64-bit processor, but I don't think there's a 64-bit Raspbian yet, is there? Judging by https://devsidestory.com/build-a-64-bit ... erry-pi-3/ the string to check for should be 'aarch64' anyway, not 'armv8'.

BASH variables have the nice property of producing an empty string if they're not set, so an unset $ARM and $EE won't disrupt things if you use them as above. Also, ${var:+anything} won't produce anything if var is empty or unset.

Well, this is what I would have done anyway... :ugeek:
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 22 Feb 2017 11:13

Ah, yes, I forgot to mention that...

With your solution you'll need to manually edit the info file and set CODENAME to something with "testing" in it, right? I haven't looked but I don't think the CODENAME variable is used anywhere anymore. So, that should work.

I'll implement your code in the adjustment packages and upload them to testing after I've finished my testing as well.


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
grizzler
Posts: 1764
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: SolydXK 9 (stretch) alpha build testing

Postby grizzler » 22 Feb 2017 11:28

Why not combine things? I actually think your use of the solydkee-info/solydxee-info packages is better, easier for the user. Like I said, I came up with that assuming all info packages would be gone. These two will probably never need any maintenance, so...
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 22 Feb 2017 11:36

So, something like this:

Code: Select all

    # Setup info file
    INFO='/usr/share/solydxk/info'
    . $INFO
    [ "$CODENAME" != "testing" ] || EE=ee # 'double negative' to prevent 'false'
    DT=${DESKTOP:0:1}; [ "$DT" != "L" ] || DT=LXQt # ditto
    # Double check for the ee-info package
    if [ -d '/usr/share/doc/solydxee-info' ] || [ -d '/usr/share/doc/solydkee-info' ]; then
      EE=ee
    fi
    # Get the architecture
    UNAME=$(uname -m)
    ARCH=32
    if [ "${UNAME:0:3}" == "arm" ]; then
      ARM=arm
    elif [ "$UNAME" == "x86_64" ]; then
      ARCH=64
    fi
    # rewrite the EDITION line   
    sed -i 's|^EDITION.*$|EDITION=solyd'${DT,,}$ARM$EE$ARCH'|' $INFO
    # and the DESCRIPTION line
    sed -i 's|^DESCRIPTION.*$|DESCRIPTION="'"Solyd$DT${EE:+ EE} $RELEASE ${ARM:+ARM }$ARCH-bit"'"|' $INFO


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
grizzler
Posts: 1764
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: SolydXK 9 (stretch) alpha build testing

Postby grizzler » 22 Feb 2017 11:43

Yes. Although I wonder if the CODENAME check is still useful, with the info package check in place... Ah, well. Might as well give the users the choice...
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
ilu
Posts: 1285
Joined: 09 Oct 2013 12:45

Re: SolydXK 9 (stretch) alpha build testing

Postby ilu » 22 Feb 2017 14:08

I can't test DDM in a virtual machine. But looking through the DDM code on github I could not find any mention of amdgpu, so I'm worried that DDM will fail on ATI cards. Are you already aware of the problems? I did a writeup about the changes - did you see it? Do you need any more info? Please comment on my thread so I know whether I can help with anything. Or whether everything is fine already.

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 22 Feb 2017 15:17

Can you point me to your post regarding DDM?


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
ilu
Posts: 1285
Joined: 09 Oct 2013 12:45

Re: SolydXK 9 (stretch) alpha build testing

Postby ilu » 22 Feb 2017 18:27

I did not want to confuse anyone with my initial own confusion so it's under the Developers and Maintainers section. Feel free to move it to the appropriate section.

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: SolydXK 9 (stretch) alpha build testing

Postby Schoelje » 24 Feb 2017 07:06

I've replaced the alpha ISOs: I had to change a lot on the adjustments packages. Upgrades from existing systems was not going as smooth as I wanted them to be but I think it's working now.


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
bas_otten
Posts: 171
Joined: 19 Oct 2013 12:22
Location: Netherlands

Re: SolydXK 9 (stretch) alpha build testing

Postby bas_otten » 24 Feb 2017 19:05

While updating solydk-system-adjustments from the previous nightly I get this:

Code: Select all

root@bashostv:/ #>>> apt-get -y install solydk-system-adjustments solydk-info
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  evolvere-icon-theme-black-folders evolvere-icon-theme-blue-folders evolvere-icon-theme-vivid-sunken gtk2-engines-qtcurve kde-style-qtcurve-qt4
  kde-style-qtcurve-qt5 libqtcurve-utils2 qtcurve qtcurve-l10n
Voorgestelde pakketten:
  kwin-decoration-oxygen
De volgende pakketten zullen VERWIJDERD worden:
  solydk-system-adjustments-9
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  evolvere-icon-theme-black-folders evolvere-icon-theme-blue-folders evolvere-icon-theme-vivid-sunken gtk2-engines-qtcurve kde-style-qtcurve-qt4
  kde-style-qtcurve-qt5 libqtcurve-utils2 qtcurve qtcurve-l10n solydk-info solydk-system-adjustments
0 opgewaardeerd, 11 nieuw geïnstalleerd, 1 te verwijderen en 72 niet opgewaardeerd.
Er moeten 13,7 MB aan archieven opgehaald worden.
Na deze bewerking zal er 115 MB extra schijfruimte gebruikt worden.
Ophalen:1 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 libqtcurve-utils2 amd64 1.8.18+git20160320-3d8622c-3+b2 [39,9 kB]
Ophalen:2 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 gtk2-engines-qtcurve amd64 1.8.18+git20160320-3d8622c-3+b2 [163 kB]
Ophalen:3 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 kde-style-qtcurve-qt4 amd64 1.8.18+git20160320-3d8622c-3+b2 [218 kB]
Ophalen:4 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 kde-style-qtcurve-qt5 amd64 1.8.18+git20160320-3d8622c-3+b2 [334 kB]
Ophalen:5 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 qtcurve-l10n all 1.8.18+git20160320-3d8622c-3 [96,9 kB]
Ophalen:6 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 qtcurve amd64 1.8.18+git20160320-3d8622c-3+b2 [13,8 kB]
Ophalen:7 http://repository.solydxk.com solydxk-9/main amd64 evolvere-icon-theme-vivid-sunken all 1.2xk5 [6543 kB]
Ophalen:8 http://repository.solydxk.com solydxk-9/main amd64 evolvere-icon-theme-black-folders all 1.2xk5 [484 kB]
Ophalen:9 http://repository.solydxk.com solydxk-9/main amd64 evolvere-icon-theme-blue-folders all 1.2xk5 [688 kB]
Ophalen:10 http://repository.solydxk.com solydxk-9/main amd64 solydk-info amd64 1.1.6 [2430 B]
Ophalen:11 http://repository.solydxk.com solydxk-9/main amd64 solydk-system-adjustments all 2.6.2 [5117 kB]
13,7 MB opgehaald in 4s (2879 kB/s)
(Database wordt ingelezen ... 237370 bestanden en mappen momenteel geïnstalleerd.)
solydk-system-adjustments-9 (2.7.1) wordt verwijderd ...
'omleiding van /usr/share/wallpapers/Next/contents/images/3200x2000.png naar /usr/share/wallpapers/Next/contents/images/3200x2000.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/3200x1800.png naar /usr/share/wallpapers/Next/contents/images/3200x1800.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/1920x1080.png naar /usr/share/wallpapers/Next/contents/images/1920x1080.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/1280x800.png naar /usr/share/wallpapers/Next/contents/images/1280x800.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/3840x2160.png naar /usr/share/wallpapers/Next/contents/images/3840x2160.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/2560x1440.png naar /usr/share/wallpapers/Next/contents/images/2560x1440.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/1024x768.png naar /usr/share/wallpapers/Next/contents/images/1024x768.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/1600x1200.png naar /usr/share/wallpapers/Next/contents/images/1600x1200.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/2560x1600.png naar /usr/share/wallpapers/Next/contents/images/2560x1600.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/metadata.desktop naar /usr/share/wallpapers/Next/metadata.desktop.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/screenshot.png naar /usr/share/wallpapers/Next/contents/screenshot.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/1638x1024.png naar /usr/share/wallpapers/Next/contents/images/1638x1024.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/1440x900.png naar /usr/share/wallpapers/Next/contents/images/1440x900.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/1280x1024.png naar /usr/share/wallpapers/Next/contents/images/1280x1024.png.divert door solydk-system-adjustments-9' wordt verwijderd
'omleiding van /usr/share/wallpapers/Next/contents/images/1680x1050.png naar /usr/share/wallpapers/Next/contents/images/1680x1050.png.divert door solydk-system-adjustments-9' wordt verwijderd
Voorheen niet geselecteerd pakket evolvere-icon-theme-vivid-sunken wordt geselecteerd.
(Database wordt ingelezen ... 237088 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../00-evolvere-icon-theme-vivid-sunken_1.2xk5_all.deb wordt voorbereid...
Bezig met uitpakken van evolvere-icon-theme-vivid-sunken (1.2xk5) ...
Voorheen niet geselecteerd pakket evolvere-icon-theme-black-folders wordt geselecteerd.
Uitpakken van .../01-evolvere-icon-theme-black-folders_1.2xk5_all.deb wordt voorbereid...
Bezig met uitpakken van evolvere-icon-theme-black-folders (1.2xk5) ...
dpkg: fout bij verwerken van archief /tmp/apt-dpkg-install-bIBy18/01-evolvere-icon-theme-black-folders_1.2xk5_all.deb (--unpack):
 poging tot overschrijven van '/usr/share/icons/evolvere-black-folders-vivid-dark/LICENSE', wat ook in pakket evolvere-icon-theme-black-folders-vivid-dark 1.2xk6 zit
dpkg-deb: fout: subproces plakken werd gedood door signaal (Gebroken pijp)
Voorheen niet geselecteerd pakket evolvere-icon-theme-blue-folders wordt geselecteerd.
Uitpakken van .../02-evolvere-icon-theme-blue-folders_1.2xk5_all.deb wordt voorbereid...
Bezig met uitpakken van evolvere-icon-theme-blue-folders (1.2xk5) ...
dpkg: fout bij verwerken van archief /tmp/apt-dpkg-install-bIBy18/02-evolvere-icon-theme-blue-folders_1.2xk5_all.deb (--unpack):
 poging tot overschrijven van '/usr/share/icons/evolvere-blue-folders-flat-vivid/LICENSE', wat ook in pakket evolvere-icon-theme-blue-folders-flat-vivid 1.2xk6 zit
dpkg-deb: fout: subproces plakken werd gedood door signaal (Gebroken pijp)
Voorheen niet geselecteerd pakket libqtcurve-utils2:amd64 wordt geselecteerd.
Uitpakken van .../03-libqtcurve-utils2_1.8.18+git20160320-3d8622c-3+b2_amd64.deb wordt voorbereid...
Bezig met uitpakken van libqtcurve-utils2:amd64 (1.8.18+git20160320-3d8622c-3+b2) ...
Voorheen niet geselecteerd pakket gtk2-engines-qtcurve:amd64 wordt geselecteerd.
Uitpakken van .../04-gtk2-engines-qtcurve_1.8.18+git20160320-3d8622c-3+b2_amd64.deb wordt voorbereid...
Bezig met uitpakken van gtk2-engines-qtcurve:amd64 (1.8.18+git20160320-3d8622c-3+b2) ...
Voorheen niet geselecteerd pakket kde-style-qtcurve-qt4:amd64 wordt geselecteerd.
Uitpakken van .../05-kde-style-qtcurve-qt4_1.8.18+git20160320-3d8622c-3+b2_amd64.deb wordt voorbereid...
Bezig met uitpakken van kde-style-qtcurve-qt4:amd64 (1.8.18+git20160320-3d8622c-3+b2) ...
Voorheen niet geselecteerd pakket kde-style-qtcurve-qt5:amd64 wordt geselecteerd.
Uitpakken van .../06-kde-style-qtcurve-qt5_1.8.18+git20160320-3d8622c-3+b2_amd64.deb wordt voorbereid...
Bezig met uitpakken van kde-style-qtcurve-qt5:amd64 (1.8.18+git20160320-3d8622c-3+b2) ...
Voorheen niet geselecteerd pakket qtcurve-l10n wordt geselecteerd.
Uitpakken van .../07-qtcurve-l10n_1.8.18+git20160320-3d8622c-3_all.deb wordt voorbereid...
Bezig met uitpakken van qtcurve-l10n (1.8.18+git20160320-3d8622c-3) ...
Voorheen niet geselecteerd pakket solydk-info wordt geselecteerd.
Uitpakken van .../08-solydk-info_1.1.6_amd64.deb wordt voorbereid...
Bezig met uitpakken van solydk-info (1.1.6) ...
Voorheen niet geselecteerd pakket qtcurve wordt geselecteerd.
Uitpakken van .../09-qtcurve_1.8.18+git20160320-3d8622c-3+b2_amd64.deb wordt voorbereid...
Bezig met uitpakken van qtcurve (1.8.18+git20160320-3d8622c-3+b2) ...
Voorheen niet geselecteerd pakket solydk-system-adjustments wordt geselecteerd.
Uitpakken van .../10-solydk-system-adjustments_2.6.2_all.deb wordt voorbereid...
Bezig met uitpakken van solydk-system-adjustments (2.6.2) ...
Fouten gevonden tijdens verwerken van:
 /tmp/apt-dpkg-install-bIBy18/01-evolvere-icon-theme-black-folders_1.2xk5_all.deb
 /tmp/apt-dpkg-install-bIBy18/02-evolvere-icon-theme-blue-folders_1.2xk5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

root@bashostv:/var/log/apt #>>> apt-get -y -f install
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  evolvere-icon-theme-black-folders evolvere-icon-theme-blue-folders
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  evolvere-icon-theme-black-folders evolvere-icon-theme-blue-folders
0 opgewaardeerd, 2 nieuw geïnstalleerd, 0 te verwijderen en 72 niet opgewaardeerd.
9 niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/1172 kB aan archieven opgehaald worden.
Na deze bewerking zal er 51,8 MB extra schijfruimte gebruikt worden.
(Database wordt ingelezen ... 253745 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../evolvere-icon-theme-blue-folders_1.2xk5_all.deb wordt voorbereid...
Bezig met uitpakken van evolvere-icon-theme-blue-folders (1.2xk5) ...
dpkg: fout bij verwerken van archief /var/cache/apt/archives/evolvere-icon-theme-blue-folders_1.2xk5_all.deb (--unpack):
 poging tot overschrijven van '/usr/share/icons/evolvere-blue-folders-flat-vivid/LICENSE', wat ook in pakket evolvere-icon-theme-blue-folders-flat-vivid 1.2xk6 zit
dpkg-deb: fout: subproces plakken werd gedood door signaal (Gebroken pijp)
Uitpakken van .../evolvere-icon-theme-black-folders_1.2xk5_all.deb wordt voorbereid...
Bezig met uitpakken van evolvere-icon-theme-black-folders (1.2xk5) ...
dpkg: fout bij verwerken van archief /var/cache/apt/archives/evolvere-icon-theme-black-folders_1.2xk5_all.deb (--unpack):
 poging tot overschrijven van '/usr/share/icons/evolvere-black-folders-vivid-dark/LICENSE', wat ook in pakket evolvere-icon-theme-black-folders-vivid-dark 1.2xk6 zit
dpkg-deb: fout: subproces plakken werd gedood door signaal (Gebroken pijp)
Fouten gevonden tijdens verwerken van:
 /var/cache/apt/archives/evolvere-icon-theme-blue-folders_1.2xk5_all.deb
 /var/cache/apt/archives/evolvere-icon-theme-black-folders_1.2xk5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
There seems to be a clash with two LICENSE files!
I should probably not have included solydk-info.
These packages do not appear to be selected as part of a dist-upgrade, is that correct?


Return to “Testing zone”

Who is online

Users browsing this forum: No registered users and 1 guest